﻿<%@ Import Namespace="UCommerce.Entities"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductDescription.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditProductDescription" %>
<%@ Register Namespace="UCommerce.Umbraco.Controls" TagPrefix="ucommerce" Assembly="UCommerce.Umbraco" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ProductPropertyEditor.ascx" TagPrefix="commerce" TagName="ProductPropertyEditor" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div style="text-align: center;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table style="width: 100%">
                <tr>
                    <th style="width: 150px;"><asp:Localize runat="server" meta:resourceKey="DisplayName" /></th>
                    <td><asp:TextBox runat="server" ID="DisplayNameTextBox" Text="<%# ProductDescription.DisplayName %>" Width="100%" /></td>
                    <td><asp:RequiredFieldValidator runat="server" ControlToValidate="DisplayNameTextBox" Display="Static" ErrorMessage="*" CssClass="validator" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="ShortDescription" /></th>
                    <td><asp:TextBox runat="server" ID="ShortDescriptionTextBox" TextMode="MultiLine" Text="<%# ProductDescription.ShortDescription %>" Width="100%" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="LongDescription" /></th>
                    <td><asp:TextBox runat="server" ID="LongDescriptionTextBox" TextMode="MultiLine" Text="<%# ProductDescription.LongDescription %>" Width="100%" Rows="30" /></td>
                </tr>
            </table>
        </div>
    </div>
</div> 

<asp:Repeater runat="server" ID="ProductPropertyRepeater" DataSource="<%# GetEditorFields(View.Product.IsVariant) %>">  
    <HeaderTemplate>
        <div style="text-align: left;">
            <div class="propertyPane leftAligned" style="padding: 10px">
                <div>
                    <table>    
    </HeaderTemplate>
    <ItemTemplate>
                        <tr>
                            <th style="width: 150px;"><%# ((ProductDefinitionField)Container.DataItem).Name %></th>
                            <td>
                               <commerce:ProductPropertyEditor runat="server" ID="ProductPropertyEditor" ProductProperty="<%# View.Product.GetMultilingualProperty(((ProductDefinitionField)Container.DataItem).Name, CultureCode) %>" />
                            </td>
                            <td>                               

                                <asp:RequiredFieldValidator runat="server" 
                                    ControlToValidate="ProductPropertyEditor" 
                                    Enabled="<%# ((ProductDefinitionField)Container.DataItem).DataType.RequiredValidationEnabled  %>" 
                                    Display="Static" 
                                    ErrorMessage="*" CssClass="validator" /> 
                                
                                <asp:RegularExpressionValidator runat="server" 
                                    ControlToValidate="ProductPropertyEditor" 
                                    ValidationExpression="<%# ((ProductDefinitionField)Container.DataItem).DataType.ValidationExpression ?? string.Empty %>" 
                                    Enabled="<%# ((ProductDefinitionField)Container.DataItem).DataType.RegexValidationEnabled %>" 
                                    Display="Static" 
                                    ErrorMessage="*" CssClass="validator" />
                            </td>
                        </tr>
    </ItemTemplate>
    <FooterTemplate>
                    </table>
                </div>
            </div>
        </div>     
    </FooterTemplate>
</asp:Repeater>