
/*

PRODUCT AND CATEGORY SORTING

*/


SET NUMERIC_ROUNDABORT OFF

SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON

IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors2')) DROP TABLE #tmpErrors2

CREATE TABLE #tmpErrors2 (Error int)

SET XACT_ABORT ON

SET TRANSACTION ISOLATION LEVEL SERIALIZABLE

BEGIN TRANSACTION

PRINT N'Altering [dbo].[uCommerce_CategoryProductRelation]'

ALTER TABLE [dbo].[uCommerce_CategoryProductRelation] ADD
[SortOrder] [int] NOT NULL CONSTRAINT [DF_uCommerce_CategoryProductRelation_SortOrder] DEFAULT ((0))

IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION

IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors2 (Error) SELECT 1 BEGIN TRANSACTION END

PRINT N'Altering [dbo].[uCommerce_Category]'

ALTER TABLE [dbo].[uCommerce_Category] ADD
[SortOrder] [int] NOT NULL CONSTRAINT [DF_uCommerce_Category_SortOrder] DEFAULT ((0))

IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION

IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors2 (Error) SELECT 1 BEGIN TRANSACTION END

IF EXISTS (SELECT * FROM #tmpErrors2) ROLLBACK TRANSACTION

IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'

DROP TABLE #tmpErrors2



