﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditOrderOverview.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Orders.EditOrderOverview" %>
<%@ Import Namespace="UCommerce.Entities"%>
<%@ Import Namespace="UCommerce.Extensions"%>
<%@ Import Namespace="UCommerceWeb.Umbraco.UCommerce.Orders" %>


<div style="text-align: left;">
	<div class="propertyPane leftAligned" style="padding: 10px">
		<div style="float: left; width: 50%; margin-left: auto; margin-right: auto;">        
			<table style="width: 100%">
				<tr>
					<th style="width: 110px! important">Sold to</th>
					<td>
						<div><%# View.Customer.FirstName %> <%# View.Customer.LastName %></div>
						<div><%# View.BillingAddress.Line1 %></div>
						<div><%# View.BillingAddress.Line2%></div>
						<div><%# View.BillingAddress.PostalCode%> <%# View.BillingAddress.City%></div>
						<div><%# View.BillingAddress.State%></div>
						<div><%# GetCountry(View.BillingAddress).Name%></div>
						<div><%# View.BillingAddress.EmailAddress%></div>
						<div><%# View.BillingAddress.PhoneNumber%></div>
						<div><%# View.BillingAddress.MobilePhoneNumber%></div>
					</td>
				</tr>             
			</table>
		</div>
		<div style="float: right; width: 50%; margin-left: auto; margin-right: auto;">
			<table style="width: 100%">
				<tr>
					<th>Order number</th>
					<td><%# View.Order.OrderNumber %></td>
				</tr>             
				<tr>
					<th>Status</th>
					<td><%# View.Order.OrderStatus.Name %></td>
				</tr>
				<tr>
					<th>Created</th>
					<td><%# View.Order.CreatedDate.ToString() %></td>
				</tr>
				<tr>
					<th>Completed</th>
					<td><%# View.Order.CompletedDate.HasValue ? View.Order.CompletedDate.Value.ToString() : "-" %></td>
				</tr>
				<tr>
					<th>Currency</th>
					<td><%# View.Order.BillingCurrency.ISOCode %></td>
				</tr>
				<asp:Repeater runat="server" ID="OrderPropertyRepeater" DataSource="<%# OrderProperties %>">
					<ItemTemplate>
						<tr>
							<th><%# DataBinder.Eval(Container.DataItem, "Key") %></th>
							<td><%# DataBinder.Eval(Container.DataItem, "Value") %></td>
						</tr>   
					</ItemTemplate>
				</asp:Repeater>
			</table>
		</div>      
		
		<div style="clear: both"  >
			<table style="width: 100%">
				<tr>
					<th style="width: 110px! important">Note</th>
					<td class="leftAligned"><%# View.Order.Note %></td>
				</tr>
			</table>
		</div>                
	</div>
</div>

<div style="text-align: center;">
	<div class="propertyPane leftAligned" style="padding: 10px">
		<div>                
			<div style="margin: 10px; background-color: White; border: solid 1px gray;">
				<asp:Repeater runat="server" ID="OrderLineRepeateren" DataSource="<%# OrderLines %>" OnItemCommand="OrderLineRepeateren_ItemCommand" OnItemDataBound="OrderLineRepeateren_DataBound">
					<HeaderTemplate>
						<table class="dataList" cellspacing="0" width="100%">
							<thead>
								<tr class="headerRow">
									<td></td>
									<td>Sku</td>
									<td>Text</td>
									<td class="rightAligned">Unit price</td>
									<td class="quantityCell">Quantity</td>
									<td class="rightAligned">VAT</td>
									<td class="rightAligned">Total</td>
								</tr>
							</thead>
							<tbody id="OrderBody">
					</HeaderTemplate>
					<ItemTemplate>
							<tr>
								<td>
									<% if (IsEditable){ %>
									<asp:ImageButton ID="imbDelete" runat="server" ImageUrl="/umbraco/LiveEditing/Modules/DeleteModule/delete.png" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "OrderLineId") %>'  />
									<% } %>
								</td>
								<td class="textCell">
									<a class="propertyLink" href="#"><%# DataBinder.Eval(Container.DataItem, "Sku") %>
									<%# GetVariantSku(Container.DataItem) %>
									</a>
								</td>
								<td class="textCell"><%# DataBinder.Eval(Container.DataItem, "ProductName") %></td>
								<td class="amountCell"><%# ((decimal)DataBinder.Eval(Container.DataItem, "Price")).ToString("N") %></td>
								<td class="quantityCell">
									<% if(IsEditable){ %>
										<asp:HiddenField ID="OrderLineId" runat="server" Value='<%# Eval("OrderLineId") %>'></asp:HiddenField>
										<asp:TextBox ID="Quantity" CssClass="quantity" Width="30" runat="server" Text='<%# Eval("Quantity") %>'></asp:TextBox>
										<input name="old-quantity" class="old-quantity" type="hidden" value="<%# Eval("Quantity") %>" />
									<% }else{ %>
										<%# DataBinder.Eval(Container.DataItem, "Quantity") %>
									<% } %>
									
								</td>
								<td class="amountCell"><%# ((decimal)DataBinder.Eval(Container.DataItem, "Vat")).ToString("N")%></td>
								<td class="amountCell"><%# ((decimal)DataBinder.Eval(Container.DataItem, "Total")).ToString("N")%></td>
							</tr>
							<tr>
								<td colspan="6">
									<asp:Repeater runat="server" ID="OrderLinePropertyRepeater" DataSource="<%# ((OrderLine)Container.DataItem).OrderProperties %>">
									<HeaderTemplate>
										<table class="propertyTable" style="width:100%; background-color:#eaebec; padding-left:10px; display:none">
									</HeaderTemplate>
									<ItemTemplate>
									<tr><td style="width:20px;"><%# DataBinder.Eval(Container.DataItem, "Key") %>:</td><td><%# DataBinder.Eval(Container.DataItem, "Value") %></td></tr>
							
									</ItemTemplate>
									<FooterTemplate>
										</table> 
									</FooterTemplate>
									</asp:Repeater>
								</td>
							</tr>
					</ItemTemplate>
					<FooterTemplate>
							</tbody>
							<tfoot>
								<tr>
									<td colspan="5"></td>
									<td class="rightAligned">Sub total</td>
									<td class="amountCell"><%# Format(View.Order.SubTotal) %></td>
								</tr>
								<tr>
									<td colspan="5"></td>
									<td class="rightAligned">VAT</td>
									<td class="amountCell"><%# Format(View.Order.VAT) %></td>
								</tr>
								<tr>
									<td colspan="5"></td>
									<td class="rightAligned">Shipping fee</td>
									<td class="amountCell"><%# Format(View.Order.ShippingTotal) %></td>
								</tr>               
								<tr>
									<td colspan="5"></td>
									<td class="rightAligned">Payment fee</td>
									<td class="amountCell"><%# Format(View.Order.PaymentTotal) %></td>
								</tr>               
								<tr>
									<td colspan="5"></td>
									<td class="rightAligned">Order total</td>
									<td class="amountCell"><%# Format(View.Order.OrderTotal) %></td>
								</tr>              
							</tfoot>                                                                                              
						</table>
					</FooterTemplate>
				</asp:Repeater>
			</div>
		</div>
	</div>
</div>

<%

  %>
<script type="text/javascript">

	function IsNumeric(input) {
		return (input - 0) == input && input.length > 0;
	}

	$(document).ready(function () {
		$("a.propertyLink").click(function (event) {
			event.preventDefault();
			$(this).parent().parent().next().find(".propertyTable").toggle();
		});

		$(document).submit(function () {

			var changed = false;

			$("#OrderBody tr").each(function () {
				if (changed)
					return;

				var quantity = $('.quantity[type="text"]', this).first();
				var oldQuantity = $('.old-quantity[type="hidden"]', this).first();

				if (quantity.size() == 0)
					return;

				if (oldQuantity.size() == 0)
					return;

				if(!IsNumeric(quantity.val()) || !IsNumeric(oldQuantity.val()))
					return;
					
				if (parseInt(quantity.val()) > parseInt(oldQuantity.val())) {
					changed = true;
					return;
				}
			});

			if (changed) {
				return confirm('<% =GetLocalResourceObject("ConfirmQuantityChange").ToString() %>');
			}

			return true;
		});
	});
</script>

