﻿<%@ Import Namespace="UCommerce.Entities"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditPaymentMethodPricing.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Orders.EditPaymentMethodPricing" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />

<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="FeePercentage" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="FeePercentageTextBox" Text="<%# View.PaymentMethod.FeePercent %>" CssClass="smallWidth" /> %
                <asp:RequiredFieldValidator runat="server" ControlToValidate="FeePercentageTextBox" ErrorMessage="*" CssClass="validator" />
                <asp:RangeValidator runat="server" ControlToValidate="FeePercentageTextBox" Type="Double" MinimumValue="0" MaximumValue="100" ErrorMessage="*" CssClass="validator" />                                    
            </div>
        </div>
    </div>
    <div class="propertyPaneFooter">-</div>
</div>  
  
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemContent">
            <div><asp:Localize runat="server" meta:resourceKey="Description" /></div>
            
            <commerce:BulkEditGridView BulkEdit="true" runat="server" ID="PaymentMethodPricesGridView" DataSource="<%# PaymentMethodFees %>" ShowHeader="true" DataKeyNames="PaymentMethodFeeId" AutoGenerateColumns="false" GridLines="None">
                <columns>
                    <asp:TemplateField meta:resourceKey="EnabledHeader" ControlStyle-Width="50px">
                        <EditItemTemplate>
                            <asp:CheckBox runat="server" 
                                ID="EnabledCheckBox" 
                                Checked="<%# !((PaymentMethodFee)Container.DataItem).IsNew() %>" />                                
                        </EditItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField meta:resourceKey="CurrencyHeader" ControlStyle-Width="100px">
                        <EditItemTemplate>  
                            <asp:HiddenField runat="server" ID="PaymentMethodFeeId" Value="<%# ((PaymentMethodFee)Container.DataItem).PaymentMethodFeeId %>" />
                            <asp:HiddenField runat="server" ID="CurrencyId" Value="<%# ((PaymentMethodFee)Container.DataItem).CurrencyId %>" />
                            <%# ((PaymentMethodFee)Container.DataItem).Currency.ISOCode %>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField meta:resourceKey="PriceGroupHeader">
                        <EditItemTemplate>
                            <commerce:SafeDropDownList runat="server"
                                ID="PriceGroupDropDown"                                 
                                SkipCheckSetValueConstraint="true"
                                AllowPrebindSet="true"                          
                                SelectedValue="<%# ((PaymentMethodFee)Container.DataItem).PriceGroupId %>"
                                DataSource="<%# GetPriceGroupsForCurrency(((PaymentMethodFee)Container.DataItem).Currency) %>"
                                DataValueField="PriceGroupId"
                                DataTextField="Name"
                                OnDataBound="PriceGroupDropDown_DataBound"
                                CssClass="mediumWidth" />                            
                        </EditItemTemplate>                   
                    </asp:TemplateField>
                    <asp:TemplateField meta:resourceKey="PriceHeader" ItemStyle-Wrap="false">
                        <EditItemTemplate>
                            <asp:TextBox runat="server" ID="PriceTextBox" Text="<%# ((PaymentMethodFee)Container.DataItem).Fee %>" CssClass="amountInput"></asp:TextBox>
                            <%# ((PaymentMethodFee)Container.DataItem).Currency.ISOCode%>
                            <asp:RequiredFieldValidator runat="server" ControlToValidate="PriceTextBox" ErrorMessage="*" CssClass="validator" />
                            <asp:RangeValidator runat="server" ControlToValidate="PriceTextBox" Type="Double" MinimumValue="0" MaximumValue="<%# decimal.MaxValue %>" ErrorMessage="*" CssClass="validator" />
                        </EditItemTemplate>
                    </asp:TemplateField>
                </columns>
            </commerce:BulkEditGridView>                
            </div>
        </div>
    </div>
    <div class="propertyPaneFooter">-</div>
</div>  